Search the Community
Showing results for tags 'chainage'.
-
Change to get result of text to Excel Workbook cell. Pls Help
minejash posted a topic in AutoLISP, Visual LISP & DCL
Hai, i need a help. I have a working lisp routine which gives me distance(chainage) of polyline when clicked on the pline i selected. It will add a text there showing chainage. Only thing i want is i need the chainage also in an external Excel Workbook cell. Like when i click and get the chainage there i want to get that chainage in excel workbook cell which is open (like Click to Xls lisp). Pls reply if its possible... thanks Attaching the lisp file and also adding same lisp code below. ;-- PIPE CHAINAGE abhi- CAA -- (defun c:CAA (/ s p c tp sch f) (setvar "cmdecho" 0) (setq sch (getstring "\nSpecify start chainage : <0>")) ;"0" is set as the default value (if (= sch "")(setq sch "0")) (if (and (setq s (car (entsel "\nPick a polyline :"))) (or (= (cdr (assoc 0 (entget s))) "LWPOLYLINE") (alert "Invalid object! Please pick a polyline only.") ) ) (while (and (setq p (getpoint "\nSpecify point :") ) (setq c (vlax-curve-getclosestpointto s p)) (setq tp (getpoint "\nSpecify Point for Text : ")) ) (setq di (vlax-curve-getdistatpoint s c)) (setq f (fix (/ di 1000.0))) (setq di (- di (* f 1000.0))) (command "_.LEADER" c tp "" (strcat "FF-LINE 01" ) (strcat "CH=" (itoa (+ (atoi sch) f)) "+" (rtos di 2 3)) "" ) (vlax-put-property (vlax-ename->vla-object (entlast)) 'height 3.50);;; Text Height 3.50 ) ) (setvar "cmdecho" 1) (princ) ) (vl-load-com) LINE CHAIN & CORDS - CAA.LSP -
To get length of polyline from start to upto where i click
minejash posted a topic in AutoLISP, Visual LISP & DCL
Hai, i need a help in editing a lisp code. I have a working lisp routine which gives me perpendicular distance to main pline when clicked on a place perpendicular to the pline i selected. Only thing i want to change is i dont need perpendicular distance from main pline but i need same main pline distance(chainage) where i click. Pls reply if its possible... thanks:) Attaching the lisp file and also adding same lisp code below, (defun c:CE (/ s p c a d tp sch) (setvar "cmdecho" 0) (setq sch (getstring "\nSpecify start chainage : <0>")) ;"0" is set as the default value (if (= sch "")(setq sch "0")) (if (and (setq s (car (entsel "\nPick a polyline :"))) (or (= (cdr (assoc 0 (entget s))) "LWPOLYLINE") (alert "Invalid object! Please pick a polyline only.") ) ) (while (and (setq p (getpoint "\nSpecify point perpendicular to polyline :") ) (setq c (vlax-curve-getclosestpointto s p)) (setq a (angle p c)) (not (grdraw p c 1 -1)) ;; rubber line in red colour. (setq d (angle '(0. 0. 0.) (vlax-curve-getfirstderiv s (vlax-curve-getparamatpoint s c) ) ) ) (or (or (equal (rem (+ d (* pi 0.5)) (+ pi pi)) a 1e-4) (equal (rem (+ d (* pi 1.5)) (+ pi pi)) a 1e-4) ) (alert "Picked point is not a perpendicular to picked polyline. <!>" ) ) (setq tp (getpoint "\nSpecify Point for Text : ")) ) (command "_.LEADER" p tp "" (strcat "CH=" sch "+" (rtos (vlax-curve-getdistatpoint s c) 2 3)) (strcat "E=" (rtos (car p) 2 3)) (strcat "N=" (rtos (cadr p) 2 3)) "" ) (vlax-put-property (vlax-ename->vla-object (entlast)) 'height 0.60);;; Text Height 0.60 ) ) (setvar "cmdecho" 1) (princ) ) (vl-load-com) COORD & CHAIN - FINAL AB.LSP -
Export information 3DPolyLine To Chainage And Elevation
sanju2323 posted a topic in AutoLISP, Visual LISP & DCL
I Want Required lisp Export Data of 3DPolyLine To CSV "Chainage" And "Elevation" This lisp Proposed use for Cross Section. -
hai, i need a small help.i have a working lisp routine which gives perpendicular line distance to main line, i want the the lisp to ask me every time i start the lisp that what chainage it should start and what i enter should change the numerical text in this command "" (strcat "CH=1+" "". means, when i start the lisp and it asks for chainage then i enter 23 then it should out as "" (strcat "CH=23+" "". and if possible the out put decimal can be changed to 3 decimals. now its coming in 4 decimals like 23+455.2565. thank you.. pls reply if its possible... thanks (defun c:Chi (/ s p c a d tp) (if (and (setq s (car (entsel "\nPick a polyline :"))) (or (= (cdr (assoc 0 (entget s))) "LWPOLYLINE") (alert "Invalid object! Please pick a polyline only.") ) ) (while (and (setq p (getpoint "\nSpecify point perpendicular to polyline :") ) (setq c (vlax-curve-getclosestpointto s p)) (setq a (angle p c)) (not (grdraw p c 1 -1)) ;; rubber line in red colour. (setq d (angle '(0. 0. 0.) (vlax-curve-getfirstderiv s (vlax-curve-getparamatpoint s c) ) ) ) (or (or (equal (rem (+ d (* pi 0.5)) (+ pi pi)) a 1e-4) (equal (rem (+ d (* pi 1.5)) (+ pi pi)) a 1e-4) ) (alert "Picked point is not a perpendicular to picked polyline. <!>" ) ) (setq tp (getpoint "\nSpecify Point for Text : ")) ) (entmakex (list '(0 . "text") '(100 . "AcDbEntity") '(67 . 0) '(370 . 13) '(100 . "AcDbText") (cons 10 tp) (cons 40 0.6) ; Change text height here (cons 1 (strcat "CH=1+" (rtos (vlax-curve-getdistatpoint s c) 2 4) ) ) (cons 71 0) (cons 72 0) (cons 11 '(0 0 0)) '(100 . "AcDbText") (cons 73 0) ) ) ) ) (princ) ) (vl-load-com) thank you..
-
Hi I have a problem. If you can help I'll be glad to you. I have some chainage labels as 1+234.56 format. I want a lisp for increase-decrease selected chainage values by specified amount. Thank You
-
I want Required lisp Selected Text As Chainage Format Example. 100.00 Required 0+100.00 or See Attachment Image